#
# spec file for package python-s3fs
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# Tests require a network connection
%bcond_with test

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-s3fs
Version:        0.1.6
Release:        bp156.3.1
Summary:        Python filesystem interface over S3
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/dask/s3fs/
Source:         https://files.pythonhosted.org/packages/source/s/s3fs/s3fs-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/dask/s3fs/0.1.0/LICENSE.txt
BuildRequires:  %{python_module boto3}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module moto}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-boto3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
S3FS builds on boto3 to provide a Python filesystem
interface for S3.

%prep
%setup -q -n s3fs-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed Nov  7 2018 Robert Schweikert <rjschwei@suse.com>
- Update to version 0.1.6
  + No upstream changelog
* Sun Mar 11 2018 sebix+novell.com@sebix.at
- Use %%license macro for license.
* Sat Mar 10 2018 jengelh@inai.de
- Ensure neutrality of description.
* Wed Nov  8 2017 arun@gmx.de
- update to version 0.1.2:
  * add test for writing large files with s3_additional_kwargs
  * filter all kwargs in _call_s3 to prevent botocore
    ParamValidationError
- changes from version 0.1.1:
  * Simplify singleton.
  * Ensure current() uses subclass
  * Remove obsolete flush comment
  * Update flush docstring.
  * Ignore flushes if buffer smaller than block size
  * Use the additional_kwargs that were passed through
  * Ensure that mock is available for the travis testing.
  * Documentation improvements.
  * Added kwargs aggressively
  * Fixed incorrect imports
  * Adressed some review comments
  * Addressed some review comments Added a basic test
  * Fixed some test failures
  * Added a generic way to augment all the s3 calls
  * Fixed a few test failures
  * Initial strawman proposal to suppor ServerSideEncryption
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
